local haslualine, lualine = pcall(require, "lualine")
if not haslualine then
    return
end

local function getWords()
    return tostring(vim.fn.wordcount().words) .. " Words"
end

lualine.setup({
    options = {
        theme = 'nightfly',
    },
    sections = {
        lualine_a = {'mode'},
        lualine_b = {'diff', 'diagnostics'},
        lualine_c = {'filename'},
        lualine_x = {'encoding', 'fileformat', 'filetype'},
        lualine_y = {'filesize', getWords},
        lualine_z = {'branch'},
    },
    inactive_sections = {
        lualine_a = {'mode'},
        lualine_b = {},
        lualine_c = {'filename'},
        lualine_x = {},
        lualine_y = {'filesize'},
        lualine_z = {'branch'},
    },
})
